# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# C:\Users\ci\AppData\Local\Temp\airflowtmpk1rbu8yo\a218baa0-22be-4156-990d-57bb77f6800b\src\buildscripts\condarecipe.local, last modified Wed Jan 31 12:01:28 2024
# ------------------------------------------------

package:
  name: numba
  version: 0.59.0
source:
  path: C:\Users\ci\AppData\Local\Temp\airflowtmpk1rbu8yo\a218baa0-22be-4156-990d-57bb77f6800b\src
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
  ignore_run_exports:
    - tbb
  number: '0'
  script_env:
    - PY_VCRUNTIME_REDIST
  string: np1.22py3.11h81563b4_gc6da26929_0
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2023.12.12 haa95532_0
    - intel-openmp 2021.4.0 haa95532_3556
    - libffi 3.4.4 hd77b12b_0
    - libiconv 1.16 h2bbff1b_2
    - libxml2 2.10.4 h0ad7f3c_1
    - llvmlite 0.42.0rc1 py311ha925a31_2
    - mkl 2021.4.0 haa95532_640
    - mkl-service 2.4.0 py311h2bbff1b_0
    - mkl_fft 1.3.1 py311h743a336_0
    - mkl_random 1.2.2 py311heda8569_0
    - numpy 1.22.3 py311h54701ec_1
    - numpy-base 1.22.3 py311h0424125_1
    - openssl 3.0.12 h2bbff1b_0
    - pip 23.3.1 py311haa95532_0
    - python 3.11.7 he1021f5_0
    - setuptools 68.2.2 py311haa95532_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.41.2 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tbb-devel 2021.8.0 h59b6b97_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2023d h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.41.2 py311haa95532_0
    - xz 5.4.5 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
  run:
    - llvmlite 0.42.*
    - numpy >=1.22.3, <1.27
    - python >=3.11,<3.12.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
  run_constrained:
    - cuda-python >=11.6
    - cudatoolkit >=10.2
    - libopenblas !=0.3.6
    - numba-rvsdg 0.0.*
    - scipy >=1.0
    - tbb >=2021.6
test:
  requires:
    - cffi
    - ipykernel
    - ipython
    - jinja2
    - scipy
    - setuptools
    - tbb >=2021.6
about:
  home: https://numba.pydata.org/
  license: BSD
  license_file: LICENSE
  summary: a just-in-time Python function compiler based on LLVM
extra:
  copy_test_source_files: true
  final: true
